
Infrastructure - Task #5512

Task # 5510 (Closed): Corrections and suggestions for ONEMercury UI and help

Search results different by browser

2014-06-20 04:35 - Amber Budden

Status: Closed Start date: 2014-06-20

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

Running Mac OS 10.9.3

Using the example of ocean sunfish (given in task 5511), searching via the fielded search box below the main search bar, data only

option turned off.

In Chrome, the fielded search boxes are not pre populated.

1st term: Selected 'fulltest', entered 'ocean', selected 'OR'.

2nd term: Selected 'fulltest', entered 'sunfish', left last box blank.

3rd term: Left blank

RESULT: 6 records

In Firefox, the fielded search boxes are pre-populated with 'Full text" and 'Or'.

1st term: Retained 'fulltest', entered 'ocean', retained 'OR'.

2nd term: Retained 'fulltest', entered 'sunfish', retained 'OR'.

3rd term: Retained 'fulltest', left text box blank

RESULT: 22150 records

Returned to Chrome to mirror entries in Firefox

1st term: Selected 'fulltest', entered 'ocean', selected 'OR'.

2nd term: Selected 'fulltest', entered 'sunfish', selected 'OR'.

3rd term: Selected 'fulltest', left text box blank

RESULT: 22181 records

Despite the 31 record discrepancy, it seems that the second 'OR' is required even though it is a modifier for the 3rd (non existent)

search term.  Without it, the search is being treated as 'AND' despite the use of the first 'OR' modifier.

History

#1 - 2014-07-03 14:46 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2014-07-03 14:46 - Skye Roseboom

- Category set to d1_mercury

- Status changed from In Progress to Testing

- Assignee set to Skye Roseboom

#3 - 2014-07-03 14:47 - Skye Roseboom

Found an error in the logic in how the operators specified in the fielded search were being applied when constructing the solr query.

#4 - 2014-09-11 15:40 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed
